--[[ Broken Ring Monitor

]]

freeslot("MT_BROKENRING_ICON", "MT_BROKENRING_BOX", "MT_BROKENRING_GOLDBOX", "SPR_TVBR", "S_BROKENRING_BOX", "S_BROKENRING_GOLDBOX", "S_BROKENRING_ICON1", "S_BROKENRING_ICON2", 
"SPR_MSBR", "SPR_XLBR", "S_BROKENRING_GOLDBOX_FLICKER", "S_BROKENRING_BOX_FLICKER", "S_BROKENRING_BOX_POP1", "S_BROKENRING_BOX_POP2")

states[S_BROKENRING_BOX_FLICKER] = {SPR_MSBR, 0,  1, nil, 0, 0, S_SPAWNSTATE}
states[S_BROKENRING_BOX_POP1] = {SPR_MSBR, 0,  4, A_MonitorPop, 0, 0, S_BROKENRING_BOX_POP2} 
states[S_BROKENRING_BOX_POP2] = {SPR_MSBR, 1, -1, nil, 0, 0, S_NULL}

states[S_BROKENRING_GOLDBOX_FLICKER] = {SPR_XLBR, 0,  1, nil, 0, 0, S_SPAWNSTATE}


states[S_BROKENRING_BOX] = {SPR_TVBR, 0, 2, nil, 0, 0, S_BROKENRING_BOX_FLICKER}
states[S_BROKENRING_GOLDBOX] = {SPR_TVBR, 1, 2, A_GoldMonitorSparkle, 0, 0, S_BROKENRING_GOLDBOX_FLICKER}

states[S_BROKENRING_ICON1] = {SPR_TVBR, FF_ANIMATE|2, 18, nil, 3, 4, S_BROKENRING_ICON2}
states[S_BROKENRING_ICON2] = {SPR_TVBR, 2, 18, A_MobjRingBurst, 10, 8, S_NULL}

mobjinfo[MT_BROKENRING_BOX] = {
		--$Name Broken Ring Monitor
		--$Sprite TVBRA0
		--$Category Monitors
		
		doomednum = 4069,
		spawnstate = S_BROKENRING_BOX,
		spawnhealth = 1,
		seestate = S_NULL,
		seesound = sfx_None,
		reactiontime = 8,
		attacksound = sfx_None,
		painstate = S_BROKENRING_BOX,
		painchance = 0,
		painsound = sfx_None,
		meleestate = S_NULL,
		missilestate = S_NULL,
		deathstate = S_BROKENRING_BOX_POP1,
		xdeathstate = S_NULL,
		deathsound = sfx_pop,
		speed = 1,
		radius = 18*FRACUNIT,
		height = 40*FRACUNIT,
		dispoffset = 0,
		mass = 100,
		damage = MT_BROKENRING_ICON,
		activesound = sfx_None,
		flags  = MF_SOLID|MF_SHOOTABLE|MF_MONITOR,
		raisestate = S_NULL
	}
	
	mobjinfo[MT_BROKENRING_GOLDBOX] = {
		--$Name Broken Ring Monitor (Respawning)
		--$Sprite TVBRB0
		--$Category Monitors (Respawning)
		
		doomednum = 4070,
		spawnstate = S_BROKENRING_GOLDBOX,
		spawnhealth = 1,
		seestate = S_NULL,
		seesound = sfx_None,
		reactiontime = 8,
		attacksound = sfx_monton,
		painstate = S_BROKENRING_GOLDBOX,
		painchance = 0,
		painsound = sfx_None,
		meleestate = S_NULL,
		missilestate = S_NULL,
		deathstate = S_GOLDBOX_OFF1,
		xdeathstate = S_NULL,
		deathsound = sfx_pop,
		speed = 1,
		radius = 18*FRACUNIT,
		height = 40*FRACUNIT,
		dispoffset = 0,
		mass = 100,
		damage = MT_BROKENRING_ICON,
		activesound = sfx_None,
		flags  = MF_SOLID|MF_SHOOTABLE|MF_MONITOR,
		raisestate = S_NULL
	}
	
mobjinfo[MT_BROKENRING_ICON] = {
		doomednum = -1,
		spawnstate = S_BROKENRING_ICON1,
		spawnhealth = 1,
		seestate = S_NULL,
		seesound = sfx_s3k6e,
		reactiontime = 8,
		attacksound = sfx_None,
		painstate = S_NULL,
		painchance = 0,
		painsound = sfx_None,
		meleestate = S_NULL,
		missilestate = S_NULL,
		deathstate = S_NULL,
		xdeathstate = S_NULL,
		deathsound= sfx_None,
		speed = 2*FRACUNIT,
		radius = 8*FRACUNIT,
		height = 14*FRACUNIT,
		dispoffset = 0,
		mass = 100,
		damage = 62*FRACUNIT,
		activesound = sfx_None,
		flags = MF_NOBLOCKMAP|MF_NOCLIP|MF_SCENERY|MF_NOGRAVITY|MF_BOXICON,
		raisestate = S_NULL
	}